Trying to upgrade 3.1.10 to 3.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Jhieminga
Registered User
Posts: 10
Joined: Fri Dec 05, 2014 9:17 am

Trying to upgrade 3.1.10 to 3.2

Post by Jhieminga » Mon Jan 09, 2017 8:50 pm

I've been trying to upgrade a 3.1.10 forum to 3.2 last night and ran into problems. I thought it might be useful to share my experience here.
  • First attempt was through the auto update system. I uploaded the /Install and /Vendor folders but when I went to the /Install/index.html page this only triggered the app.php page which stuck on a white page.
  • Second attempt was through an upload of a full 3.2 package. I kept the config.php file, the /Images /Stores and /Files folder and uploaded a full 3.2 package but when I then went to the /Install/index.html I got the exact same behaviour as on the first attempt.
  • I then cleaned out the directory again, apart from the file and folders mentioned before. I uploaded a full 3.1.10 package and was then able to access my board again.
(I've skipped over several attempts at one method).

My board is not heavily modified but uses three extensions: Tapatalk, Obscurecontactus and Stopforumspam.

I'll be honest and mention that I did not disable these before the update but now that I've got everything working again I am not very eager to try again. I would appreciate it if there could be a way in which these extensions don't mess with the update in such an extensive way. Surely a way can be found in which the update just disables and extensions if needed, or is that a crazy idea?

I checked the error logs on my server and the errors were things like 'incorrect ]' in a file or suchlike. I cannot seem to go back to the logs from yesterday for some reason.

If anyone has any tips to improve this situation then I'm open to that. If not I think I'll await 3.2.1 before trying again. Perhaps by that time either the extentions have been updated to cover 3.2 or the update process is a bit more stable.

Post Reply

Return to “[3.2.x] Support Forum”